#pragma semicolon 1
#include <sourcemod>
#include <sdktools_functions>

new Handle:g_Msg;

public OnPluginStart() 
{
	g_Msg = CreateConVar("sm_grenade_msg", "0", "Message On/Off", FCVAR_NOTIFY, true, 0.0, true, 1.0);
	HookEvent("player_spawn", Event_OnPlayerSpawn);
	HookEvent("hegrenade_detonate", Event_HeGrenadeDetonate);
	HookEvent("flashbang_detonate", Event_FlashBangDetonate);
	HookEvent("smokegrenade_detonate", Event_SmokeGrenadeDetonate);
}

public Event_OnPlayerSpawn(Handle:event, const String:name[], bool:dontBroadcast)
{
	new client = GetClientOfUserId(GetEventInt(event, "userid"));
	if(client > 0 || IsPlayerAlive(client))
	{
		GivePlayerItem(client, "weapon_hegrenade");
		GivePlayerItem(client, "weapon_flashbang");
		GivePlayerItem(client, "weapon_smokegrenade");
		if(GetConVarBool(g_Msg)) PrintToChat(client, "\x01\x05[SM] \x03 ");
	}
}

public Event_HeGrenadeDetonate(Handle:event, const String:name[], bool:dontBroadcast)
{
	new client = GetClientOfUserId(GetEventInt(event, "userid"));
	if(client > 0 || IsPlayerAlive(client))
	{
		GivePlayerItem(client, "weapon_hegrenade");
		if(GetConVarBool(g_Msg)) PrintToChat(client, "\x01\x05[SM] \x03 HE ");
	}
}

public Event_FlashBangDetonate(Handle:event, const String:name[], bool:dontBroadcast)
{
	new client = GetClientOfUserId(GetEventInt(event, "userid"));
	if(client > 0 || IsPlayerAlive(client))
	{
		GivePlayerItem(client, "weapon_flashbang");
		if(GetConVarBool(g_Msg)) PrintToChat(client, "\x01\x05[SM] \x03 FLASHBANG ");
	}
}

public Event_SmokeGrenadeDetonate(Handle:event, const String:name[], bool:dontBroadcast)
{
	new client = GetClientOfUserId(GetEventInt(event, "userid"));
	if(client > 0 || IsPlayerAlive(client))
	{
		GivePlayerItem(client, "weapon_smokegrenade");
		if(GetConVarBool(g_Msg)) PrintToChat(client, "\x01\x05[SM] \x03 SMOKE ");
	}
}